# PaaS-cli

快速生成 PaaS 项目的组件开发工具，支持 PC 和移动端

## Installation

```
npm install -g mysoft-paas-cli
```

## Usage

```shell
paas-cli init my-project

cd my-project

yarn

yarn run design
```

## 目录结构及说明

### 目录结构：

```
.
+-- containers
|   +-- container-repo
+-- modules
+-- packages
|   +-- example-component
+-- static
+-- .babelrc
+-- .postcssrc.js
+-- package.json
```

### 说明

| 目录 | 支持平台 | 说明 |
| --- | --- | --- |
| `containers` | PC | 框架 |
| `packages` | PC | Mobile | 存放组件 |
| `modules` | Mobile | 存放钩子组件 |
