var fs = require('fs');
var path = require('path');

function travel(dir, callback, parentFile) {
    fs.readdirSync(dir).forEach(function (file) {
        var pathname = path.join(dir, file);

        if (fs.statSync(pathname).isDirectory()) {
            callback(file, parentFile || '', pathname, true);
            travel(pathname, callback, path.join(parentFile || '', file))
        } else {
            callback(file, parentFile || '', pathname)
        }
    })
}

module.exports = travel;
