const completeMessage = `\
To get started:

{{#inPlace}}
{{else}}
  cd {{destDirName}}
{{/inPlace}}
  yarn (or if using npm: npm install)
  yarn run design
`

module.exports = {
    prompts: {
        engineVersion: {
            type: 'list',
            required: true,
            label: 'Engine version',
            default: 0,
            choices: [
                {
                    name: 'master: The latest stable version.',
                    value: 'master',
                    short: 'master',
                }
            ]
        }
    },
    completeMessage
}
